Promods

Installation problems or game crashes? Post them here.
Forum rules
ALWAYS FOLLOW OUR SELF-HELP GUIDE FIRST.

If you report a game crash ALWAYS post your game.log.txt in between CODE tags, or if it too large post it on pastebin.com and share the link.
drissi
Posts: 6
Joined: 04 Nov 2018 14:50

31 Oct 2019 23:21

Hi there

I just downloaded and installed the "newest" version of promods. I have ETS 1.35.x. And when i start the game and try to add promods, it says me, that it isnt compatibel. And i know, that i downloaded the newest. I did the faster opinion and now also the slower. Both the same result. I think, i got an older version of promods. I think from ETS 1.33. Promods version 2.32 and 2.31

User avatar
Vøytek
Developer
Posts: 9559
Joined: 05 Jan 2014 19:38
Location: Luboń
Contact:

01 Nov 2019 00:47

So what version did you download? 2.32, 2.31 or 2.42? It says "v242" in PM file names or "2.42" in Mod manager. If you're unsure what you downloaded, it'll be hard to help, so get your facts straight.
Where did it say that it's wrong game version? If it says "incompatible", click in that "i" (info) icon next to an incompatible mod and it'll tell you what's wrong.
Image
Currently working on: various stuff
#1 forum spammer
Enjoying PM since 1.52
YouTube channel [PL]: http://youtube.pl/vooytek

drissi
Posts: 6
Joined: 04 Nov 2018 14:50

01 Nov 2019 13:37

The files are called like "promods-map-v242.scs". In the mod manager is it 2.32 and some 2.31 as well. I downloaded ProMods v2.42.

7 FILES NOT FOUND:
promods-v242.7z.001
promods-v242.7z.002
promods-v242.7z.003
promods-v242.7z.004
promods-v242.7z.005
promods-v242.7z.006
promods-v242.7z.007

I think this is missing, but all what i got are called like this: promods-map-v242.scs

User avatar
ScuL
Founder
Posts: 7929
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

01 Nov 2019 22:55

when you install the latest version (2.42) you have to remove the older versions from your mod folder (2.32, 2.31)
please show us what is inside your mod folder
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image

drissi
Posts: 6
Joined: 04 Nov 2018 14:50

02 Nov 2019 23:29

I havent installed earlier version before, 2.42 would be my first.

User avatar
ScuL
Founder
Posts: 7929
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

03 Nov 2019 00:06

hm, why are you talking about 2.31 then? we can't really help you unless we see what you have downloaded
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image

drissi
Posts: 6
Joined: 04 Nov 2018 14:50

03 Nov 2019 10:20

some screenshots
Attachments
Screenshot (62)-1.png
installed dlcs
Screenshot (62)-1.png (99.82 KiB) Viewed 192 times
Screenshot (58)-1.png
This is how it looks like in the mod folder
Screenshot (58)-1.png (86.54 KiB) Viewed 192 times
Screenshot (57)-1.png
This is how it looks like in-game
Screenshot (57)-1.png (251.84 KiB) Viewed 192 times

User avatar
Trucker2223
Moderator
Posts: 4791
Joined: 16 Apr 2017 13:17
Donation rank:

03 Nov 2019 10:25

This is the wrong Mod folder, it actually wonders me why it shows anything in the Mod Manager. The correct Mod folder is in
/Documents/Euro Truck Simulator 2
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

drissi
Posts: 6
Joined: 04 Nov 2018 14:50

03 Nov 2019 10:28

some more screenshots

Hinzugefügt nach 2 Minuten 49 Sekunden:
mod folder in /Documents/Euro Truck Simulator 2
Attachments
Screenshot (65).png
now the mod folder in /Documents/Euro Truck Simulator 2
Screenshot (65).png (138.14 KiB) Viewed 184 times
Screenshot (64)-1.png
installed dlcs
Screenshot (64)-1.png (75.19 KiB) Viewed 190 times
Screenshot (63)-1.png
installed dlcs
Screenshot (63)-1.png (125.74 KiB) Viewed 190 times

User avatar
bmwGTR
Moderator
Posts: 2281
Joined: 10 Jul 2016 11:52
Location: Riegersburg resp. Graz

03 Nov 2019 10:33

Hi,

ProMods 2.32 is NOT compatible with ETS2 1.35, therefore it is marked as red in the mod manager.

You have to download the whole pack of ProMods 2.42 (not just the def file).

Best regards,
bmwGTR
ETS2: ProMods + RusMap + Great Steppe + Southern Region + Paris Rebuild
ATS: Coast to Coast + US Expansion + CanaDream + PazzMod


ProMods Moderator since April 2018

Image



Locked
  • Information
  • Who is online

    Users browsing this forum: dch99 and 7 guests